## org.eclipse.amp.agf.chart
Class BasicAxesChartStrategy

    java.lang.Object
      org.eclipse.amp.agf.chart.BasicChartStrategy
          org.eclipse.amp.agf.chart.BasicAxesChartStrategy

All Implemented Interfaces:
  IChartDesignStrategy

Direct Known Subclasses:
  StackAreaStrategy, TimeSeriesStrategy

    public abstract class BasicAxesChartStrategy

extends BasicChartStrategy

Field Summary

Fields inherited from class org.eclipse.amp.agf.chart.BasicChartStrategy
`dataProvider, dataSource`

Constructor Summary
`BasicAxesChartStrategy()`

Method Summary
`protected void` `addValueSeries(org.eclipse.birt.chart.model.component.Series series, java.lang.Object valueSet)`
`protected abstract void` `addValueSet(java.lang.Object valueSet)`
`org.eclipse.birt.chart.model.Chart` `createChart(IDataProvider dataProvider, java.lang.Object dataSource)`
`void` `createLegend()`
`org.eclipse.birt.chart.model.data.SeriesDefinition` `getValueSetsDefinition()`
`boolean` `isInitialized()`
`void` `update()`
`void` `updateSelection()`

Methods inherited from class org.eclipse.amp.agf.chart.BasicChartStrategy
`getChart, getLegend, setChart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAxesChartStrategy

    public BasicAxesChartStrategy()

Method Detail

### update

    public void update()

### createChart

    public org.eclipse.birt.chart.model.Chart createChart(IDataProvider dataProvider,
                                                          java.lang.Object dataSource)

### createLegend

    public void createLegend()

  Overrides:
    `createLegend` in class `BasicChartStrategy`

### addValueSet

    protected abstract void addValueSet(java.lang.Object valueSet)

### updateSelection

    public void updateSelection()

### addValueSeries

    protected void addValueSeries(org.eclipse.birt.chart.model.component.Series series,
                                  java.lang.Object valueSet)

### isInitialized

    public boolean isInitialized()

  Returns:
  See Also:
    `IChartDesignStrategy.isInitialized()`

### getValueSetsDefinition

    public org.eclipse.birt.chart.model.data.SeriesDefinition getValueSetsDefinition()